Bug 1856464 - Review Request: ufdbGuard - A URL filter for squid
Summary: Review Request: ufdbGuard - A URL filter for squid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-13 17:39 UTC by Gwyn Ciesla
Modified: 2020-07-30 18:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-23 01:06:15 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Gwyn Ciesla 2020-07-13 17:39:41 UTC
Description: ufdbGuard is a free URL filter for Squid with additional features like SafeSearch enforcement for a large number of search engines, safer HTTPS 
visits and dynamic detection of proxies (URL filter circumventors).

ufdbGuard supports free and commercial URL databases that can be
downloaded from various sites and vendors.
You can also make your own URL database for ufdbGuard.

SPEC: https://fedorapeople.org/~limb/review/ufdbGuard/ufdbGuard.spec
SRPM: https://fedorapeople.org/~limb/review/ufdbGuard/ufdbGuard-1.34.5-1.fc32.src.rpm

Comment 1 Robert-André Mauchin 🐧 2020-07-13 19:27:10 UTC
 - It is not needed:

%{?systemd_requires}
BuildRequires: systemd

Instead depend on:

BuildRequires: systemd-rpm-macros

 - Patch0:		ufdbGuard-common.patch

Add a comment explaining why the patch is needed.

 - Not needed:

%install
rm -rf %{buildroot} ←

 - Please use macros for directories:

%configure \
	--with-ufdb-user=ufdb \
	--prefix=%{_prefix} \
	--with-ufdb-bindir=%{_sbindir} \
	--with-ufdb-piddir=%{_localstatedir}/run/ufdbguard \
	--with-ufdb-mandir=%{_mandir} \
	--with-ufdb-images_dir=%{_sharedstatedir}/ufdbguard/images \
	--with-ufdb-logdir=%{_localstatedir}/log/ufdbguard \
	--with-ufdb-samplesdir=%{_sharedstatedir}/ufdbguard/samples \
	--with-ufdb-config=%{_sysconfdir}/ufdbguard \
	--with-ufdb-dbhome=%{_sharedstatedir}/ufdbguard/blacklists \
	--with-ufdb-imagesdir=%{_sharedstatedir}/ufdbguard/images

 - %{__make} %{?_smp_mflags} → %make_build

 - %{__make} DESTDIR=%{buildroot} mkdirsredhatcentos install → %make_install mkdirsredhatcentos

 - Don't use macros starting with __, they are for RPM private use, use the normal binaries:

for i in $(find doc/ -type f -name '*.1'); do
    install -p -D -m 0644 $i %{buildroot}%{_mandir}/man1/
done
for i in $(find doc/ -type f -name '*.8'); do
    install -p -D -m 0644 $i %{buildroot}%{_mandir}/man8/
done

install -p -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/ufdbGuard.service
install -p -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/ufdbGuard

 - Don't mix both $RPM_BUILD_ROOT and %{buildroot}, standardize on one

 - Macros again:

%dir %{_sharedstatedir}/ufdbguard/
%attr(-, ufdb, ufdb) %dir %{_localstatedir}/log/ufdbguard/
%{_sharedstatedir}/ufdbguard/*

Comment 2 Robert-André Mauchin 🐧 2020-07-13 19:42:15 UTC
 - ufdbGuard.x86_64: E: incorrect-fsf-address /usr/share/licenses/ufdbGuard/GPL

Notify upstream about their use of an obsolete FSF address (do not patch it).

 -

ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbAnalyse
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbGenTable
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbgclient
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbguardd
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbhttpd


Not sure what to do about this, I couldn't find any call to setuid/setgid in the source.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/#_macros


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License (v2)", "GNU
     Lesser General Public License", "Expat License", "GPL (v3 or later)",
     "Public domain". 225 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ufdbGuard/review-
     ufdbGuard/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in ufdbGuard
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ufdbGuard-1.34.5-1.fc33.x86_64.rpm
          ufdbGuard-debuginfo-1.34.5-1.fc33.x86_64.rpm
          ufdbGuard-debugsource-1.34.5-1.fc33.x86_64.rpm
          ufdbGuard-1.34.5-1.fc33.src.rpm
ufdbGuard.x86_64: W: spelling-error %description -l en_US circumventors -> circumvention, circumvents, circumvent
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbAnalyse
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbGenTable
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbgclient
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbguardd
ufdbGuard.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/ufdbhttpd
ufdbGuard.x86_64: E: incorrect-fsf-address /usr/share/licenses/ufdbGuard/GPL
ufdbGuard.x86_64: W: non-standard-uid /var/log/ufdbguard ufdb
ufdbGuard.x86_64: W: non-standard-gid /var/log/ufdbguard ufdb
ufdbGuard.x86_64: W: no-manual-page-for-binary ufdb-pstack
ufdbGuard.x86_64: W: no-manual-page-for-binary ufdbConvertDB
ufdbGuard.x86_64: W: no-manual-page-for-binary ufdbDLstatus
ufdbGuard.x86_64: W: no-manual-page-for-binary ufdbGenTable
ufdbGuard.x86_64: W: no-manual-page-for-binary ufdbUpdate
ufdbGuard.src: W: spelling-error %description -l en_US circumventors -> circumvention, circumvents, circumvent
4 packages and 0 specfiles checked; 6 errors, 9 warnings.

Comment 3 Gwyn Ciesla 2020-07-14 14:58:59 UTC
SPEC: https://fedorapeople.org/~limb/review/ufdbGuard/ufdbGuard.spec
SRPM: https://fedorapeople.org/~limb/review/ufdbGuard/ufdbGuard-1.34.5-2.fc32.src.rpm

Addressed all of the above, and contacted upstream, and received a positive response, about the FSF address.

Comment 4 Robert-André Mauchin 🐧 2020-07-14 16:48:32 UTC
LGTM, package approved.

Comment 5 Gwyn Ciesla 2020-07-14 16:52:21 UTC
Thank you!

Comment 6 Gwyn Ciesla 2020-07-14 17:05:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ufdbGuard

Comment 7 Fedora Update System 2020-07-14 17:24:32 UTC
FEDORA-EPEL-2020-f50061e899 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f50061e899

Comment 8 Fedora Update System 2020-07-14 17:24:34 UTC
FEDORA-EPEL-2020-0964ecd023 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0964ecd023

Comment 9 Fedora Update System 2020-07-14 17:24:37 UTC
FEDORA-2020-a3d4990bd0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3d4990bd0

Comment 10 Fedora Update System 2020-07-15 01:28:08 UTC
FEDORA-EPEL-2020-f50061e899 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f50061e899

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-07-15 01:37:45 UTC
FEDORA-EPEL-2020-0964ecd023 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0964ecd023

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-07-15 02:01:08 UTC
FEDORA-2020-a3d4990bd0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-a3d4990bd0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a3d4990bd0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-07-23 01:06:15 UTC
FEDORA-2020-a3d4990bd0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-07-30 18:13:09 UTC
FEDORA-EPEL-2020-f50061e899 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-07-30 18:19:23 UTC
FEDORA-EPEL-2020-0964ecd023 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.